textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodraw
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm 	nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
        
	surfaceparm playerclip
	surfaceparm noimpact
}

textures/common/hint
{
qer_nocarve
qer_trans 0.30
surfaceparm nodraw
surfaceparm nonsolid
surfaceparm structural
surfaceparm trans
surfaceparm noimpact
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm	nomarks
	surfaceparm detail
	surfaceparm clusterportal
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
        surfaceparm nolightmap
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/sfx/pureblack
{
	qer_editorimage textures/skies/blacksky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	{
		map textures/skies/blacksky.tga
	}
}

textures/mrcleantex_4/mrc4_grate_01
{
	surfaceparm	metalsteps	
        surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/mrcleantex_4/mrc4_grate_01.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/stralet1/portal_fx
{
	portal
	qer_editorimage textures/stralet1/portal_sfx_orange.tga
	surfaceparm nolightmap
	deformvertexes wave 100 sin 0 2 0 .5


	{
		map textures/sfx/portal_sfx3.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		depthwrite
	}


	{
		map textures/sfx/portal_sfx1.tga
		blendfunc gl_dst_color gl_zero
		tcmod rotate 360
	}

	{
		map textures/stralet1/portal_sfx_orange.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 .5 .2 .5
	}

	{
		map textures/stralet1/portal_red_nebula_fx.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		tcmod scroll -0.4 0.4
		
		tcmod stretch sin 1 0.3 1 0.2
		alphagen portal 450
		rgbgen identitylighting	
	}
}

textures/stralet1/jaildr1_3
{	
	qer_editorimage textures/base_light/jaildr1_3.tga
	q3map_lightimage textures/base_light/jaildr1_3.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/jaildr1_3.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/jaildr1_3.blend.tga
		rgbgen wave square 0.5 0.5 1 1
		blendfunc gl_one gl_one
	}
}

textures/stralet1/jaildr1_4
{	
	qer_editorimage textures/base_light/jaildr1_3.tga
	q3map_lightimage textures/base_light/jaildr1_3.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1500
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/jaildr1_3.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/jaildr1_3.blend.tga
		rgbgen wave square 0.5 0.5 1 1
		blendfunc gl_one gl_one
	}
}

textures/stralet1/flare_05
{
	qer_editorimage textures/stralet1/stralet1_flare.tga
	
	deformvertexes autosprite
        surfaceparm trans	
        surfaceparm nomarks	
      	surfaceparm nolightmap
	cull none
              {
		map textures/stralet1/stralet1_flare.tga
                blendfunc add
		rgbgen wave inversesawtooth 0 1 0.5 0.5
              }
}

textures/stralet1/flare_06
{
	qer_editorimage textures/stralet1/stralet1_flare.tga
	
	deformvertexes autosprite
        surfaceparm trans	
        surfaceparm nomarks	
      	surfaceparm nolightmap
	cull none
              {
		map textures/stralet1/stralet1_flare.tga
                blendfunc add
		rgbgen wave inversesawtooth 0 1 0.6 0.5
              }
}

textures/stralet1/flare_07
{
	qer_editorimage textures/stralet1/stralet1_flare.tga
	
	deformvertexes autosprite
        surfaceparm trans	
        surfaceparm nomarks	
      	surfaceparm nolightmap
	cull none
              {
		map textures/stralet1/stralet1_flare.tga
                blendfunc add
		rgbgen wave inversesawtooth 0 1 0.7 0.5
              }
}

textures/stralet1/flare_08
{
	qer_editorimage textures/stralet1/stralet1_flare.tga
	
	deformvertexes autosprite
        surfaceparm trans	
        surfaceparm nomarks	
      	surfaceparm nolightmap
	cull none
              {
		map textures/stralet1/stralet1_flare.tga
                blendfunc add
		rgbgen wave inversesawtooth 0 1 0.8 0.5
              }
}

textures/stralet1/flare_09
{
	qer_editorimage textures/stralet1/stralet1_flare.tga
	
	deformvertexes autosprite
        surfaceparm trans	
        surfaceparm nomarks	
      	surfaceparm nolightmap
	cull none
              {
		map textures/stralet1/stralet1_flare.tga
                blendfunc add
		rgbgen wave inversesawtooth 0 1 0.9 0.5
              }
}

textures/skies/stralet1_orange_lightning
{
	qer_editorimage textures/cardigan_skies1/dense_orange_nebula.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	
	q3map_sun 0.5 0.1601 0.0586 90 125 57
	skyparms env/kaznexdm1/dust 1200 -
	{
		map textures/cardigan_skies1/circlegradlightningblur2.tga
		blendfunc add
		
		
		rgbgen wave noise 0 1 0 8

		tcmod scale 0.32 0.32
		tcmod rotate -20
	}
	{
		map textures/cardigan_skies1/bright_orange_nebula.tga
		blendfunc filter
		tcmod scroll 0.02 0.06
	}
}

textures/mrcleantex_4/mrc4_yellow_cross_3000
{
	qer_editorimage textures/mrcleantex_4/mrc4_light_cross.tga
	q3map_lightimage textures/mrcleantex_4/yellow_light.tga
	q3map_surfacelight 3000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/mrcleantex_4/mrc4_light_cross.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/mrcleantex_4/mrc4_yellow_cross.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/mrcleantex_4/mrc4_yellow_cross_7500
{
	qer_editorimage textures/mrcleantex_4/mrc4_light_cross.tga
	q3map_lightimage textures/mrcleantex_4/yellow_light.tga
	q3map_surfacelight 7500
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/mrcleantex_4/mrc4_light_cross.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/mrcleantex_4/mrc4_yellow_cross.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/mrcleantex_4/mrc4_yellow_cross_10000
{
	qer_editorimage textures/mrcleantex_4/mrc4_light_cross.tga
	q3map_lightimage textures/mrcleantex_4/yellow_light.tga
	q3map_surfacelight 10000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/mrcleantex_4/mrc4_light_cross.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/mrcleantex_4/mrc4_yellow_cross.blend.tga
		blendfunc gl_one gl_one
	}
}

